Soft-haus Solutions CallerID - Introduction

Soft-Haus Solutions

Talking Caller ID Gold

Introduction

Welcome to Soft-Haus Solutions Talking Caller ID Gold! In this Introduction, we'll get you setup and on your way to utilizing Talking Caller ID Gold to its maximum capacity.

If you follow the below steps, you are sure to know anything, and everything you need to know about Talking Caller ID Gold.

To begin with, here is a picture of the 'main screen':

This is the screen you will see every time you open Talking Caller ID Gold, so it is a good idea if you get familiar with it now.

Starting with the phonebook button at the top of the screen (right below the 'Program' menu), we'll discuss the buttons and their functions.
  1. Phonebook Icon - opens your phonebook with your contact names and phone numbers.
  2. X Icon - deletes the highlighted contact under the contact window.
  3. Arrow Rotation Icon - changes the call history view to a 'grid' view with information such as Caller Name, Phone Number, Ring Count, etc.
  4. Microphone Icon - once clicked this will record the conversation on the phone line, and continue recording until you press it again.
  5. MSN Messenger Icon - this enables/disables messaging notifications so you will be notified by either AIM, ICQ, or MSN Messenger about who is calling.
  6. Envelope Icon - this enables/disables email notifications which sends you emails about callers.
  7. MS Agent Icon - this enables/disables MS Agent which means that your cute character won't appear to talk to you.
  8. Clock Icon - once clicked this runs a timer which is useful for timing your incoming and outgoing calls. Clicking again stops the timer.
  9. Phone & Magnifying Glass Icon - this allows you to search through your call history for a certain phone number.
  10. Person & Magnifying Glass Icon - this lets you search your call history for a contact name.
  11. Printer Icon - print your call history so you can see who calls you the most, and when they usually call.
  12. Disk Icon - export your call history or contact list to a file.
  13. Speaker Icon - mute or unmute the program
  14. Blocked Person - brings up your blocked caller window so you can block certain people from contacting you.
  15. Modem Icon - opens your modem settings window.
  16. X-Modem Icon - emergency modem close allows you to override the computers commands and close your modem. This is good if your computer has hung and as a result you can't use your phone.
  17. Hammer/Wrench Icon - opens your configuration settings window.
  18. ? Icon - for experienced users only, this allows you to Parse RAW CallerID data
  19. Lightbulb Icon - simulates a call
  20. Door Icon - exits Caller ID
  21. Question Mark Icon - opens this help file
If you have successfully followed this far, chances are that you are beginning to glimpse the power of Talking Caller ID Gold. (If you wish a more 'hands-on' introduction, please goto http://www.soft-haus.com/help to get some tutorial videos)

Let's continue. Now we'll discuss the buttons going down the left side of this main window.
  • 'Add to Phonebook' - this opens your phonebook with the current callers name and phone number in the fields.
  • 'Take a Message' - you can write down a message and send it to someone via email or a messaging service.
  • 'Start Timing this Call' - this is essentially the same as using the 'clock' button at the top, it starts a timer which you can stop when the call is completed.
  • 'Call this Caller Back' - takes the current caller number, and dials it automatically.
  • 'New Contact' - opens up your phonebook so you can make a new contact
  • 'Edit Contact' - edits the highlighted contact
  • 'Delete Contact' - deletes the highlighted contact
  • 'Call Contact' - calls the highlighted contact
  • 'Add/Edit Picture' - allows you to change/add a picture for the highlighted contact
  • 'Record Greeting' - record a greeting for the character to speak when this person calls
  • 'Notes' - takes notes about this contact
After a few days of use, you are sure to have these mastered.

Now we'll move onto the 'Modem Settings' window. To get there, either:

A) Click on the modem icon that is along the top of the main window
B) Click on the 'Configurations' menu, then move down to the 'Modem Settings' option and click on it.

This is the window that should appear:

Here you basically have two options:

1. Have Talking Caller ID Gold find and configure your modem and modem settings (Highly Recommended).
2. Try to find the correct settings on your own.

If you want Talking Caller ID Gold to configure the modem automatically, simply click on the option 'Let Soft-Haus Talking Caller ID Gold choose the best device' and then click on the 'Detect My Modem Now' button. Talking Caller ID Gold will then detect and configure your modem - nothing more is needed!

Otherwise, if you know what you are doing, click 'I want to choose a device manually' and edit the settings.

The next screen we would like to introduce is the 'blocked callers' screen. It looks like this:

Here you have a list of your contacts. By simply checking the box beside the appropriate contact, you can block their calls.

(Note: The call cannot be blocked until the Caller ID information is sent, usually on the first or second ring.)

The next window we introduce is that of the 'phonebook'. Here is what it looks like:

The window on the left is the one you usually see. By clicking on a contact you can edit their information. You can also add a new contact by clicking on the 'New Contact' button near the bottom. Once you have edited information, you must save it by pressing 'Save Changes'. You can also record the greeting for the computer to play when this contact calls.

If you click on the 'Settings' tab at the top of the 'Phonebook' window, it takes you to the picture you see on the right. Here, by checking the various options, you may customize what to do (and what not to do) when this person calls.

Now we'll move on to the 'configuration settings' window. This is where you can truly unleash the power of Talking Caller ID Gold.

To get there, simply click on either the 'hammer and wrench' icon along the top of the main screen, or click on the 'Configurations' menu, then on settings. The window that appears should look like this:

Configuration Settings Window

Here you have different options to customize how Talking Caller ID Gold works. Most of the options are fairly self-explanatory. You can use the tabs at the top to move across the different categories and their settings.

For detailed explanations of the configuration settings, click here.

Links
  • Introduction - get walked through setting up Talking Caller ID Gold
  • Configuration Settings - get help with the Settings
  • Main program features - learn about main program features, and how to use them
  • Frequently Asked Questions - questions that are often asked
Soft-haus Solutions Talking Caller ID Gold © Soft-Haus Solutions, 2000-2002
Back to Home


Soft-haus Solutions CallerID - Configuration Settings

Configuration Settings

Here are some screenshots from the Configuration Settings along with their descriptions:

General Configuration Settings:

Here are general configuration settings. All of them are self-explanatory

My Contacts Settings:

Configurations My Contacts

These are the settings for 'My Contacts'. Here you can enable integration with the windows address book, as well as import contacts from the windows address book, and export your Caller ID contacts.

Solicitor Protection Settings:

Configurations Solicitor Protection

Here you may enable basic solicitor protection. This means that people who do not display their Caller ID information are automatically blocked. You may record a custom greeting for them, that politely tells them to go away. You can also play the 'This number is not in service' tone before all greetings.

Voicemail Settings:

Here are your voicemail settings. You can enable voicemail, and have your own greeting played after a certain amount of rings. You may have the computer hang up after you have played the greeting, and you may also have voicemail sent as an attachment to your email.

MS Agent Settings:

Configurations MS Agent

MS Agent settings include enabling/disabling MS Agent, choosing characters, and customizing the text which they speak when a person calls.

MSN Messenger Settings:

Configurations MSN Messenger

MSN Messenger settings are for notification of callers while you are away. It will automatically login, and send you a message using the custom information that you choose. You can also send it to more than one MSN account.

AIM Settings:

AIM (Aol Instant Messenger) Settings are basically the same as the MSN Messenger Settings. You can enter the username and password of your choice, and customize the message sent to you when someone calls.

ICQ Settings:

ICQ settings are just repeats of AIM and MSN Messenger. The same information is required and the message can be customized.

HTML/Web Services Settings:

Configurations HTML/Web Services

This is recommended for advanced users only. This can output your caller information/history to a web file, and upload it to your website. It can do this for your contacts as well, and there is also a web user setup option using CGI. For advanced users only.

RAS Settings:

This is for users with Dial-up Internet connection. It uses the settings you input to automatically dial out to the Internet, perform it's task (whether it be notifying you by email or another task), and then disconnects. Pure automation!

Email Settings:

Here are the settings you would need to adjust if you wish to receive email notifications. Outgoing mail server, server port, and from email can be automatically detected.

Custom Settings:

This is for developers to automatically have parameters passed to a third party application.

Links
  • Introduction - get walked through setting up Talking Caller ID Gold
  • Configuration Settings - get help with the Settings
  • Main program features - learn about main program features, and how to use them
  • Frequently Asked Questions - questions that are often asked


Soft-haus Solutions CallerID - Features

Main Program Features

Here, you will find all of the program features in the main window explained. If you wish to learn about the program features in the configuration settings, click here.

Some of the things you can do from this interface are:

  1. Open 'My Contacts'
  2. Delete contacts
  3. Edit contacts
  4. Create contacts
  5. Call contacts
  6. Edit the contact's photo
  7. Record a greeting for the computer to play when the contact calls
  8. Change the call history view into an Excel style spreadsheet
  9. Enable/Disable messaging notifications
  10. Enable/Disable email notifications
  11. Enable/Disable MS Agent
  12. Record conversation
  13. Time calls
  14. Search through call history for phone numbers
  15. Search through call history for names
  16. Export call history and contact list
  17. Mute/Unmute Talking Caller ID Gold
  18. Block callers
  19. Open modem settings
  20. Emergency modem close
  21. Open the 'configuration settings' window
  22. Parse RAW Caller ID data (for experienced users only)
  23. Simulate a call
  24. Close the program
  25. Open program help

For a more detailed description of these features, we suggest you go to the introduction

Links
  • Introduction - get walked through setting up Talking Caller ID Gold
  • Configuration Settings - get help with the Settings
  • Main program features - learn about main program features, and how to use them
  • Frequently Asked Questions - questions that are often asked


Soft-haus Solutions CallerID - Frequently Asked Questions

Frequently Asked Questions

  1. How do I register this program?
  2. Why do I not get correct Caller ID information, or none at all, in Windows 95?
  3. Why do I get the error linked to missing export TAPI32.DLL:lineGetCallInfoA?
  4. What in the world does TAPI stand for, and what does it do?
  5. How do I get technical support for the program?
  6. How do I update the program?
  7. How do I suggest a feature?

How do I register this program?

Registering is simple. To do so, simply click here. That link will take you directly to our online order form. When you order, you receive two free bonuses:
  • Unlimited Lifetime Updates
  • Unlimited Lifetime Technical Support
  • 100% Risk-Free, Money Back Guarantee
These bonuses are valued at $97 (based on our competitors prices), but you get them all for free when you order online. To do so now, click here.

Why do I not get correct Caller ID information, or none at all, in Windows 95?

Due to limitations inherent in Microsoft Windows 95's initial release of TAPI, this problem is a common occurence for '95 users.

One was able to solve this problem by downloading the UniModem V Update for Windows 95. However, Microsoft has now discontinued it, so you will no longer be able to download it off of Microsoft.com.

In order to get around this, you can either download it off the Soft-Haus server (click here to start the download), or you can upgrade to a newer version of Windows.

Why do I get the error 'linked to missing export TAPI32.DLL:lineGetCallInfoA'

If running Windows 95, you may require one of several updates to TAPI (Microsoft's Telephony API). You may download the Windows 95 Unimodem/V update by clicking here.

If you still have problems, you may require the TAPI Update. This may be necessary as Windows 95 comes with an older version of TAPI. You may download and try the TAPI 2.1 Update for Windows 95 by clicking here.

What in the world does TAPI stand for, and what does it do??

That one's easy! TAPI stands for "Telephony API". The purpose of TAPI is to provide a standard way of integrating voice/fax/data devices in Microsoft Windows products. The TAPI architecture allows 3rd party vendors such as Soft-haus Solutions to seemlessly support TAPI devices in their TAPI compliant software.

How do I get technical support for the program?

If you can't find the answer to your question here, and you need help, simply send an email to:

techsupport@soft-haus.com

We will do our best to get back to you as soon as possible.

How do I update the program?

Every time your start Talking Caller ID Gold, it checks for updates on the Internet. However, if you want to manually check for updates, simply:
  1. Right-mouse on the icon in your taskbar (lower right hand corner of your screen).
  2. Move your mouse up to "About Caller ID" - left-click once.
  3. Select the tab along the top of the window that just opened, that says "Update Program".
  4. Make Sure the Update URL is set to: http://www.soft-haus.com/vsoft/files/callerid.ver - if it isn't, change it back to the afore mentioned URL.
  5. Press the "Check for Updates" button. If there are any new updates, it will open a box asking you whether or not you wish to download the updates.

Talking Caller ID Gold automatically checks for updates on its own, so doing this manually should not be necessary.

How do I suggest a feature?

To suggest a feature, simply send an email to info@soft-haus.com

If we think your idea is a good one, and worth implementing, chances are you will see it released within the next 4 updates!

Note: By suggesting a feature, you grant us the rights to use the feature you suggested in our software.

Links
  • Introduction - get walked through setting up Talking Caller ID Gold
  • Configuration Settings - get help with the Settings
  • Main program features - learn about main program features, and how to use them
  • Frequently Asked Questions - questions that are often asked


.topic 0
Selecting this checkbox will activate the Password Timeout feature. Trying to decrypt or encrypt an Email message after the timeout period will prompt the user to enter the AegisMail password. The timeout period begins when the user has entered a password.

.topic 0
The desired amount of time before the user is required to re-enter a password. Valid times are between 1 and 60 minutes. All times greater than 60 minutes will be set to 60 minutes.

.topic 0
This function is currently unavailable.

.topic 0
Selecting this checkbox will activate a Decryption Status Results dialog box during an Email decryption process. It will display each item in the Email that has been decrypted and display if the decryption was sucessfull or not. This function is provided to indicate if any of the items have been tampered with during the Email transport process.

.topic 0
Selecting this checkbox will activate a Successful Decryption Message dialog box during an Email decryption process. It will display a message indicating that the Email was successfully decrypted and that the Email encryption integrity was not compromised.

.topic 0
Enter your password to encrypt and decrypt Email messages.

.topic 0
Click here to set the AegisMail Add-In properties.

.topic 0
Selecting this checkbox will hide this Decryption Status Results box for future Email decryptions. To re-activate it, go to the AegisMail Properties setting.

.topic 0
Displays the Email attachments decryption results.


Soft-haus Solutions CallerID - Getting Started

Welcome to Soft-Haus Solutions Talking Caller ID Gold! For your convenience, we have created this help file to assist your use of this program. Please click on one of the below links to get started.

  • Introduction - get walked through setting up Talking Caller ID Gold
  • Configuration Settings - get help with the Settings
  • Main program features - learn about main program features, and how to use them
  • Frequently Asked Questions - questions that are often asked
Back to top